package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description:
 * @CreateDate: 2020/9/24
 * @Author: simon.song
 */
@Data
public class MesDbCheckRecordModel {
    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partDesc;

    @ApiParam("异常取值字段")
    private String errorFiledCode;

    @ApiParam("异常描述")
    private String errorDesc;

    public MesDbCheckRecordModel(String serialNumber, String partNo, String partDesc, String errorFiledCode, String errorDesc) {
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.partDesc = partDesc;
        this.errorFiledCode = errorFiledCode;
        this.errorDesc = errorDesc;
    }
}
